Package org.h2.mvstore

# Class CursorPos<K,V>

java.lang.Object
org.h2.mvstore.CursorPos<K,V>

public final class CursorPos<K,V> extends Object
A position in a cursor. Instance represents a node in the linked list, which traces path from a specific (target) key within a leaf node all the way up to te root (bottom up path).

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
Index of the key (within page above) used to go down to a lower level in case of intermediate nodes, or index of the target key for leaf a node.
`Page<K,V>`
`page`
The page at the current level.
`CursorPos<K,V>`
`parent`
Next node in the linked list, representing the position within parent level, or null, if we are at the root level already.

## Constructor Summary

Constructors
Constructor
Description
`CursorPos(Page<K,V> page, int index, CursorPos<K,V> parent)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### page

public Page<K,V> page
The page at the current level.

### index

public int index
Index of the key (within page above) used to go down to a lower level in case of intermediate nodes, or index of the target key for leaf a node. In a later case, it could be negative, if the key is not present.

### parent

public CursorPos<K,V> parent
Next node in the linked list, representing the position within parent level, or null, if we are at the root level already.

## Constructor Details

### CursorPos

public CursorPos(Page<K,V> page, int index, CursorPos<K,V> parent)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`